Function
getValue
Access to the value.
GetValue getValue(object)
GetValue getValue(container, pos)
Include Headers
seqan/basic.h, seqan/graph_types.h, seqan/sequence.h
Parameters

object | An object that holds a value or points to a value. Types: IteratorAssociatedTypesConcept: AnnotationTree Iterator, BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, Out-Edge Iterator, Vertex Iterator
container | A container. Types: ContainerConcept: Gaps, ModifiedString, String SparseString
pos | The position of an item in object. Remarks: pos should be convertible to Position<T>::Type for container-type T.

Remarks
If pos is out of range, then the behavior of the function is undefined.
Return Values
The item at position pos in container. This can either be a reference to the item or a temporary copy of the item.
Metafunctions: GetValue
Member of
Bfs Iterator, Edge Iterator, Iter, Vertex Iterator, Dfs Preorder Iterator, Out-Edge Iterator, Adjacency Iterator, SparseString
Example Programs
Iterator Basics
Part of Concept
ContainerConcept, Container
See Also
Position, value, GetValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58